Request
This endpoint expects a multipart form containing an optional file.
This parameter allows specifying the duration (in seconds) for the generated audio. If the value is 0, this parameter will be ignored. Only available for Gen2 model.
Valid values: STEREO, MONO
Set to true to receive audio in response as a Base64 encoded string along with a url.
Format of the generated audio file. Valid values: MP3, WAV, FLAC, ALAW, ULAW
Specifies the language for the generated audio, enabling a voice to speak in multiple languages natively. Only available in the Gen2 model.
Valid values: “en-US”, “en-UK”, “es-ES”, etc.
Use the GET /v1/speech/voices endpoint to retrieve the list of available voices and languages.
Set to true to retain the original accent of the speaker during voice generation.
Indicates whether to retain the original prosody (intonation, rhythm, and stress) of the input voice in the generated output.
Set to true to include a textual transcription of the generated audio in the response.
Valid values are 8000, 24000, 44100, 48000
The voice style to be used for voiceover generation.
This parameter allows specifying a transcription of the audio clip, which will then be used as input for the voice changer
Higher values will add more variation in terms of Pause, Pitch, and Speed to the voice. Only available for Gen2 model.
Use the GET /v1/speech/voices API to find supported voiceIds. You can use either the voiceId (e.g. en-US-natalie) or just the voice actor’s name (e.g. natalie).
Response
Ok
The URL or path of the generated audio file.
Length of the generated audio in seconds.
Remaining number of characters available for synthesis in the current billing cycle.
Base64 encoded string of the generated audio. Used when audio is returned directly in the response.
Any warning or informational message related to the audio generation process.
Transcript of the generated audio, if transcription was requested.